#ifndef _MONCO2METERS_H
#define _MONCO2METERS_H

#include <QDialog>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QHBoxLayout>
#include <QtWidgets/QHeaderView>
#include <QtWidgets/QPushButton>
#include <QtWidgets/QTableWidget>

namespace Ui {
class MonCO2meters;
}

class MonCO2meters : public QDialog
{
    Q_OBJECT

public:
    explicit MonCO2meters(QWidget *parent = nullptr);
    ~MonCO2meters();

signals:
    void setStatus(QString);

private slots:
    void on_editButton_clicked();
    void refreshTable(void);

public slots:
    void refreshCO2meters(QString);

private:
    QGridLayout *gridLayout;
    QTableWidget *tableCO2meters;
    QGroupBox *groupBox;
    QHBoxLayout *horizontalLayout;
    QPushButton *quitButton;

    void edit(int recno);
};

#endif
